EDIT - feature request #9279

Improve type designation formatting and TypeDesignationSetManager
11/05/2020 02:08 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

these are open issues from #7700 and general issues
Some issues are

e parameterize formatting (with citation, with starting "Type:" label, with name if available, ...)

¢ add "spaced" EN-DASH between name and type

¢ use always brackets for the type status + specimen part of specimen types (behind the field unit part)
use lower case type status except for first position

use always ":" as separator between type status and specimen

remove unwanted dot behind specimen accession number

use common method for creating string and TaggedText

use TypeDesignationDTO

open issue:

replace TypedEntityReference by real entities as they are not necessary or use them only where necessary
move to cdmlib.model if possible

TaggedText creation which should not be done in the manager)

improve-formatting-for-media-speeimen => #9597

improve formatting for unparsed specimen (specimen being placeholders for full type information, usually having a protected
title cache and not being attached to a field unit; but difficult to differ from unparsed pure specimen without type information

Related issues:

Related to EDIT - feature request #7700: use TypeDesignationSetManager for cr... Closed
Related to EDIT - bug #9302: Phycobank related issues for TypeDesignation for... In Progress
Related to EDIT - bug #8984: Registration search result list: Format display ... New
Related to EDIT - feature request #7696: use compact type representations in ... Resolved
Related to EDIT - feature request #7695: web service providing compact TypeDe... In Progress
Related to EDIT - feature request #6718: Constistent TypeDesignation represen... Duplicate
Related to EDIT - bug #9366: Specimen type designation with specimen having o... Closed
Related to EDIT - bug #9256: CdmLightExport: NameTypeDesignation string misse... Closed
Related to EDIT - bug #9384: DefaultReferenceCacheStrategy.createShortCitatio... Closed
Related to EDIT - bug #9317: Handle NameTypeDesignations on name basis not on... In Progress
Related to EDIT - feature request #9570: Use tagged text for NameTypeDesginat... Closed
Copied to EDIT - feature request #9596: Open issues for TypeDesignationWorkin... In Progress
Copied to EDIT - feature request #9597: Improve formatting of MediaSpecimen i... Closed

Associated revisions

Revision ab1f58a9 - 11/05/2020 02:21 PM - Andreas Miiller
ref #9279 improve TypeDesignationSetManager

Revision 22354fa0 - 11/06/2020 05:15 PM - Andreas Kohlbecker
ref #8402 ref #9279 adapting sort order to latest changes in TypeDesignationSetManager

Revision 071a56e6 - 11/06/2020 05:20 PM - Andreas Kohlbecker
split the structuring manager and the formatter part => mostly done but still some open issues (e.g. for the TypeDesignationDTO



https://dev.e-taxonomy.eu/redmine/issues/7700
https://dev.e-taxonomy.eu/redmine/issues/9597

ref #8402 ref #9279 adapting sort order to latest changes in TypeDesignationSetManager - commenting

Revision 9e82¢512 - 11/23/2020 10:12 PM - Andreas Miiller

ref #9279 remove redundant string and TaggedText computing and fix post separator for names type sets

Revision 5ca40190 - 11/24/2020 02:35 PM - Andreas Miiller
ref #9279 remove redundant typifiedNameRef (TypedEntityReference) and cleanup

Revision 7471539c¢ - 11/24/2020 05:31 PM - Andreas Miiller

ref #9279 separate formatting from TypeDesignationSetManager and extract TypeDesignationWorkingSet as top level class and some cleanup

Revision c386f139 - 11/24/2020 06:16 PM - Andreas Miiller
ref #9279 improve generics for TypedEntityReference

Revision de5e3f7c - 11/24/2020 06:23 PM - Andreas Miiller

ref #9279 extract TypeDesignationWorkingSet as top level class and some cleanup (vaadin)

Revision cbe1466f - 11/24/2020 06:23 PM - Andreas Miiller

ref #9279 improve generics for TypedEntityReference (vaadin)

Revision 32955f5b - 11/24/2020 06:56 PM - Andreas Miiller
ref #9279 make WorkingSet a Map again and fix typo in RegistrationDTO attribute and fix jsonConfigurations

Revision 6d344620 - 11/24/2020 07:30 PM - Andreas Miiller
ref #9279 fix make WorkingSet a Map again and cleanup

Revision 47f6500b - 11/24/2020 08:51 PM - Andreas Miiller
ref #9279 use RegistrationDTO instead of TypedEntityReference for TypeDesignations

Revision d38359¢9 - 11/24/2020 08:55 PM - Andreas Miiller

ref #9279 fix type and improve generics for TypedEntityReference (vaadin, cont.)

Revision a0ab64df - 11/24/2020 09:45 PM - Andreas Miiller
ref #9279 adapt orderdTypeDesig type in cdmdataportal

Revision 27a6e8d7 - 11/24/2020 09:58 PM - Andreas Miiller
ref #9279 add TypedEntities to TypeDesignationDTO

Revision 1918f07a - 11/24/2020 11:04 PM - Andreas Miiller
ref #9279 fix TypedEntity for source

Revision 2771053 - 11/25/2020 05:46 PM - Andreas Kohlbecker
ref #9279 adding TypeDesignationDTO to cdm_ws_base_uri()

Revision d8417735 - 11/25/2020 06:08 PM - Andreas Kohlbecker

ref #9279 TypeDesignationDTO basing on new class RepresentableEntityReference

Revision 86b95854 - 11/25/2020 06:10 PM - Andreas Kohlbecker
ref #9279 using taggedText in TypeDesignationDTO in portal

Revision f00c6f98 - 11/26/2020 11:12 AM - Andreas Kohlbecker
ref #9279 adapting class attribute handling to TypeDesignationDTO

Revision 79221¢91 - 11/30/2020 11:48 AM - Andreas Kohlbecker
ref #9279 adapting test to modified output of the TypeDesignationSetManager

Revision 619db306 - 01/13/2021 04:14 PM - Andreas Muller
fix #9384, ref #9279 fixed incorrect implementation of createShortCitation and added tests

History

#1 - 11/05/2020 02:08 PM - Andreas Miiller

- Subject changed from Improve type designation formatting and TypeDesignationSetManagerTest to Improve type designation formatting and
TypeDesignationSetManager

#2 - 11/05/2020 02:08 PM - Andreas Miuiller
- % Done changed from 0 to 40

#3 - 11/06/2020 12:16 PM - Andreas Miuller

- Status changed from New to In Progress

#4 - 11/06/2020 01:05 PM - Andreas Miuller

- Description updated

#5 - 11/06/2020 01:06 PM - Andreas Miiller

An example for unparsed specimen from Cactaceae: Selenicereus anthonyanus (Alexander) D.R.Hunt
Resulting in:

— Types: (Mexico, Chiapas, Pico Carrizal, 12 miles north of Ocozocuautla, near the trail to Quechula, Feb. 1946, T. MacDougall, cult. H. E. Anthony
(NY, not extant)); (lectotype: [illustration] “Fig. 64” of Alexander Cact. Succ. J. (Los Angeles) 22: 166. 1950)

#6 - 11/13/2020 08:54 AM - Andreas Miiller
- Related to feature request #7700: use TypeDesignationSetManager for creating typedesignation string in cdmlightExport added

#7 - 11/13/2020 09:00 AM - Andreas Miiller

- Description updated

#8 - 11/14/2020 08:12 PM - Andreas Miiller
- Related to bug #9302: Phycobank related issues for TypeDesignation formatting added

#9 - 11/14/2020 08:29 PM - Andreas Miiller
- Related to bug #8984: Registration search result list: Format display of two type specimens added

#10 - 11/23/2020 10:14 PM - Andreas Miiller

- Description updated

#11 - 11/24/2020 10:21 AM - Andreas Miller

- Related to bug #3046: Sort order for taxa with status not being nom.inval. is incorrect added

#12 - 11/24/2020 10:28 AM - Andreas Miuller

- Related to deleted (bug #3046: Sort order for taxa with status not being nom.inval. is incorrect)

#13 - 11/24/2020 10:44 PM - Andreas Miiller

- Description updated

#14 - 11/24/2020 11:00 PM - Andreas Miiller

- Description updated
#15 - 11/30/2020 01:27 PM - Andreas Kohlbecker
- Related to feature request #7696: use compact type representations in the synonymy as provided by the typedesignations/by Taxon/{taxon_uuid}

service added

#16 - 11/30/2020 01:27 PM - Andreas Kohlbecker

- Related to feature request #7695: web service providing compact TypeDesignation representation for homotypic groups and individual taxa added
#17 - 11/30/2020 01:53 PM - Andreas Kohlbecker

- Related to feature request #6718: Constistent TypeDesignation representation creation added

#18 - 01/04/2021 07:11 PM - Andreas Miiller

- Related to bug #9366: Specimen type designation with specimen having only collection name but not collection code does not show collection
information added

#19 - 01/04/2021 07:18 PM - Andreas Miiller
- Related to bug #9256: CdmLightExport: NameTypeDesignation string misses parenthesis for authors added

#20 - 01/13/2021 04:13 PM - Andreas Miiller

- Related to bug #9384: DefaultReferenceCacheStrategy.createShortCitation() working not correctly for Teams with two members added

#21 - 01/15/2021 06:56 PM - Andreas Miiller

- Related to bug #9317: Handle Name TypeDesignations on name basis not on homotypic group basis in outputs added

#22 - 03/30/2021 09:05 PM - Andreas Miiller
- Related to feature request #9570: Use tagged text for NameTypeDesginations name part added

#23 - 04/30/2021 08:01 PM - Andreas Miiller
- Copied to feature request #9596: Open issues for TypeDesignationWorkingSet added

#24 - 04/30/2021 08:04 PM - Andreas Miiller
- Copied to feature request #9597: Improve formatting of MediaSpecimen in TypeDesignationWorkingSet formatting added

#25 - 04/30/2021 08:05 PM - Andreas Miiller
- Tags set to formatting

- Description updated

- Status changed from In Progress to Closed

- % Done changed from 40 to 100

move open issues to new tickets #9596 and #9597 and close this ticket.

#26 - 05/05/2021 10:35 AM - Andreas Kohlbecker

- Tags changed from formatting to formatting, type designation

#27 - 07/08/2021 10:32 AM - Andreas Miiller

- Related to bug #9702: TypeDesignationSetManager repeats specimen string for specimens without field unit added

#28 - 07/08/2021 10:48 AM - Andreas Miiller

- Related to deleted (bug #9702: TypeDesignationSetManager repeats specimen string for specimens without field unit)
https://dev.e-taxonomy.eu/redmine/issues/9596
https://dev.e-taxonomy.eu/redmine/issues/9597
http://www.tcpdf.org

